pooltest {plm} | R Documentation

## Test of Poolability

### Description

A Chow test for the poolability of the data.

### Usage

    pooltest(x, ...)
    ## S3 method for class 'plm'
    pooltest(x, z, ...)
    ## S3 method for class 'formula'
    pooltest(x, data, ...)

### Arguments

`x` | an object of class `"plm"` for the plm method; an object of class `"formula"` for the formula interface,
`z` | an object of class `"pvcm"` obtained with `model="within"`,
`data` | a `data.frame`,
`...` | further arguments passed to plm.

### Details

`pooltest` is a F test of stability (or Chow test) for the coefficients of a panel model. For argument `x`, the estimated `plm` object should be a `"pooling"` model or a `"within"` model (the default); intercepts are assumed to be identical in the first case and different in the second case.

### Value

An object of class `"htest"`.

### Author(s)

Yves Croissant

### Examples

    data("Gasoline", package = "plm")
    form <- lgaspcar ~ lincomep + lrpmg + lcarpcap
    gasw <- plm(form, data = Gasoline, model = "within")
    gasp <- plm(form, data = Gasoline, model = "pooling")
    gasnp <- pvcm(form, data = Gasoline, model = "within")
    pooltest(gasw, gasnp)
    pooltest(gasp, gasnp)

    pooltest(form, data = Gasoline, effect = "individual", model = "within")
    pooltest(form, data = Gasoline, effect = "individual", model = "pooling")

[Package plm version 1.6-6 Index]